<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.liquidnet.service.kylin.mapper.ExpressesMapper">

    <select id="selectListOrder" parameterType="java.lang.String"
            resultType="com.liquidnet.service.kylin.entity.Expresses">
        SELECT *
        FROM expresses
        where order_type = #{type}
          and order_id = #{orderId}
        ORDER BY created_at DESC
    </select>

    <select id="selectListNumByCom" parameterType="java.lang.String"
            resultType="com.liquidnet.service.kylin.entity.Expresses">
        SELECT *
        FROM expresses
        where company = #{com}
          and number = #{nu}
        ORDER BY id DESC
        limit 1
    </select>

</mapper>
